---
- name: Read password template parts
  ansible.builtin.include_vars: password_template.yml

- name: Create password for root
  ansible.builtin.set_fact:
    root_password: "{{ pwd_part_1 }}{{ inventory_hostname[0:1] }}{{ pwd_part_2 }}"

- name: Set root password hash
  ansible.builtin.user:
    name: root
    password: "{{ root_password | password_hash('sha512') }}"
  changed_when: false
